package com.jdbernard.wdiwtlt.db.models;

import java.sql.Timestamp;
import java.util.Date;
import java.util.UUID;

public class Bookmark extends Model {
    public String name;
    public UUID playlistId;
    public UUID mediaFileId;
    public int playIndex = 0;
    public int playTimeMs = 0;
    public boolean userCreated;
    public Timestamp createdAt = new Timestamp(new Date().getTime());
    public Timestamp lastUsed = new Timestamp(new Date().getTime());

    public String toString() { return name; }
}
